%   File   : XREF.DEF
%   Authors: Dave Bowen, Chris Mellish
%   Updated: 2/16/87
%   Purpose: Examples of  definitions for use with XREF.PL.
%	     System definitions are no longer needed, normally.
%	     This file has only comments.  Retained for compatibility. A.V.G.

%   system/1 facts may be used to tell the cross referencer which predicates
%    to treat as built_in, even though predicate_property does not
%    treat them as such.   Should never be needed, in principle.

%   system_used/1 can be used to activate the Cross Referencer
%    to flag where you use a particular built_in predicate.  For example,
%    if you wanted to see where your code called the built_in predicate
%    "see/2", you could specify:
%
%      system_used(see/2).
%    or
%      system_used(see(_,_)).



% applies examples below show how meta_predicates had been defined to xref.

/*
applies(call(Goal), Goal).
applies(phrase(Nonterminal, List), Nonterminal+2).
applies(bagof(Vars,Test,Bag), Test).
applies(setof(Vars,Test,Set), Test).
applies((P->Q), (P,Q)).
applies(X^P, P).
applies(\+G, G).
*/
