;;; File   : CTR.LSP
;;; Author : Richard A. O'Keefe
;;; Purpose: support for library(ctr)
;;; Updated: Friday September 11th, 1987.


(CL:IN-PACKAGE "IL")


(XCL:DEFGLOBALVAR QP.CTR.TAB (ARRAY 32 'FIXP 0 0))

(CL:DEFUN QP.CTR.SET (CTR VAL &AUX OLD)
    (SETQ CTR (LOGAND CTR 31))
    (SETQ OLD (ELT QP.CTR.TAB CTR))
    (SETA QP.CTR.TAB CTR VAL)
    OLD
)

(CL:DEFUN QP.CTR.INC (CTR INC &AUX OLD)
    (SETQ CTR (LOGAND CTR 31))
    (SETQ OLD (ELT QP.CTR.TAB CTR))
    (SETA QP.CTR.TAB CTR (PLUS OLD INC))
    OLD
)

(CL:DEFUN QP.CTR.DEC (CTR INC &AUX OLD)
    (SETQ CTR (LOGAND CTR 31))
    (SETQ OLD (ELT QP.CTR.TAB CTR))
    (SETA QP.CTR.TAB CTR (DIFFERENCE OLD INC))
    OLD
)

(CL:DEFUN QP.CTR.VAL (CTR)
    (ELT QP.CTR.TAB (LOGAND CTR 31))
)

STOP
